<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_939c6a45ff74323dbef487ed1" . "5753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "it" . "em" => base64_decode("aX" . "Rl" . "bQ" . "=="), "_5eb874c10bcb822ac5715" . "6206d34b541" => base64_decode("ZGVm" . "aW5l"), "_1252391578f71702a86e93b" . "ddde5365a" => base64_decode("dHJlZQ" . "=="), "_ebcd6f048786cbe7c2507bec81bfc" . "f8b" => base64_decode("R1JPVVBTX1NZU1RFT" . "V9HUk9VUF9TVEFURQ" . "=="), "_a0972d4e1cb63c" . "1201a1861eb7216" . "618" => base64_decode("U0VMRUNUIGdyb3VwaWQgRlJPTSBncm9" . "1cHMgV0hFUkUgcGFyZW50X2lkPWludD" . "ppZA=="), "i" . "d" => base64_decode("aWQ" . "="), "te" . "xt" => base64_decode("dGV4dA" . "=="), "_e34a896152ff9a2c8f8e204" . "3ef6a9862" => base64_decode("U0VMRUNUIGdyb3VwbmFtZSBGUk9NIGdyb3VwcyBXSEVSRSBncm91cGlkPWludD" . "ppZA=="), "_ac607c7647" . "863e835e243" . "dbb2e570767" => base64_decode("Li4vY29tbW9uL2NsYXNzZXMvQ2xh" . "VHJlZS5waHA="));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ac607c7647863e835e243dbb2e" . "570767"];
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5eb874c10bcb82" . "2ac57156206d34b" . "541"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ebcd6f048786cbe7c2507be" . "c81bfcf8b"], 2);




class Groups
{
    
    
    
    
    
    
    protected $tree;
    public function __construct()
    {
        $this->tree = new ClaTree();
    }
    
    
    
    
    
    
    public function GetGroupsTree()
    {
        $root = $this->tree->appendChild(new DOMElement($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1252391578f71702a86e93bddde" . "5365a"]));
        $root->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["i" . "d"], 0);
        $this->LoadNode($root);
        return $this->tree;
    }
    
    
    
    
    
    
    protected function LoadNode(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        foreach ($this->GetChildsInfoById($_5c59c380aa5c5e5f18f039ad7757fe97->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["i" . "d"])) as $_174e15928a28c15cc95b46dd39328987) {
            $_df8d541fa6963e8101557408acad8023 = $_5c59c380aa5c5e5f18f039ad7757fe97->appendChild($this->GetElementByInfo($_174e15928a28c15cc95b46dd39328987));
            $_df8d541fa6963e8101557408acad8023->Load();
            $this->LoadNode($_df8d541fa6963e8101557408acad8023);
        }
    }
    protected function GetElementByInfo($info)
    {
        list($id) = $info;
        return new GroupTreeElement($id);
    }
    
    
    
    
    
    
    
    
    protected function GetChildsInfoById($id)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = array();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($this->GetChildsQuery($id));
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $_343a395319323dd7609bcbc465b4d034[] = $row;
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    
    protected function GetChildsQuery($id)
    {
        return new Query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a0972d4e1" . "cb63c1201a" . "1861eb7216" . "618"], $id);
    }
}




class GroupTreeElement extends ClaTreeElement
{
    protected $state = GROUPS_SYSTEM_GROUP_STATE;
    public string $id;
    public function __construct($id)
    {
        parent::__construct($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["ite" . "m"]);
        $this->id = $id;
    }
    
    
    
    
    public function Load()
    {
        global $db;
        $this->SetBasicAttributes();
        list($name) = $db->query_row($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e34a896152ff9a2c8f8e2043ef6a98" . "62"], $this->id);
        $this->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["tex" . "t"], $name);
        $this->AddUserDataByName($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_939c6a45ff74323dbef487ed15753a7" . "c"], $this->state);
    }
}